Package org.eclipse.e4.ui.model.fragment

# Interface MModelFragment

All Known Subinterfaces:
  `MStringModelFragment`

All Known Implementing Classes:
  `ModelFragmentImpl`, `StringModelFragmentImpl`

public interface MModelFragment
A representation of the model object 'Model Fragment'.

Developers: Add more detailed documentation by editing this comment in /org.eclipse.e4.ui.model.workbench/model/ModelFragment.ecore. There is a GenModel/documentation node under each type and attribute.

Since:
  1.0

  The following features are supported:

  - `Elements`

## Method Summary

Modifier and Type
Method
Description
`List<MApplicationElement>`
`getElements()`
Returns the value of the 'Elements' containment reference list.
`List<MApplicationElement>`
`merge(MApplication application)`
Merges this MModelFragment into an MApplication.

## Method Details

### getElements

List<MApplicationElement> getElements()
Returns the value of the 'Elements' containment reference list. The list contents are of type `MApplicationElement`.

Developers: Add more detailed documentation by editing this comment in /org.eclipse.e4.ui.model.workbench/model/ModelFragment.ecore. There is a GenModel/documentation node under each type and attribute.

Returns:
  the value of the 'Elements' containment reference list.

### merge

List<MApplicationElement> merge(MApplication application)
Merges this MModelFragment into an MApplication.

Parameters:
  `application` - The MApplication to merge into. Must not be null.
Returns:
  A list of MApplicationElements that were added to the MApplication. Must not be null.

  Developers: Add more detailed documentation by editing this comment in /org.eclipse.e4.ui.model.workbench/model/ModelFragment.ecore. There is a GenModel/documentation node under each type and attribute.